QCAT - Task #1779
User Story # 1777 (Closed): Migrate case data

Questionnaire history
06 Feb 2018 14:09 - Sebastian Manger

Status: Closed Start date: 06 Feb 2018
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 18.00 hours
Target version: Carbon Benefit Spent time: 14.50 hours
Resolution:

Description

Notes

* A questionnaire can be displayed for a specific version.

¢ A version is either the current version, or any version that has been published and is now inactive.

Estimate break down

e Depends on #1789 and #1781

e Update 'history' dropdown on questionnaire detail: 2h

A historic version is always displayed in full, there is no split-screen or 'display next to each other' available.

The button 'See history' on the questionnaire detail shows a dropdown to all previous version, linking to this new page.
This requires many changes in the backend (views, template loading, forms).
Maybe: add indicator for 'changed fields' (see #1796)

¢ Refactor queryset and configuration loading; allow old data to be loaded in specific cases: 8h

e Tests: 8h

History

#1 - 06 Feb 2018 17:48 - Sebastian Manger

- translation missing: en.field _tag_list set to Required

- Description updated

- Estimated time set to 14.00 h

#2 - 08 Feb 2018 10:48 - Lukas Vonlanthen

- Description updated

- Estimated time changed from 14.00 h to 18.00 h

#3 - 08 Feb 2018 10:55 - Lukas Vonlanthen
- Description updated

#4 - 27 Feb 2018 09:52 - Kurt Gerber

- Status changed from New to Accepted

#5 - 27 Feb 2018 09:54 - Kurt Gerber
- Priority changed from Normal to High

#6 - 15 May 2018 13:47 - Kurt Gerber

- Status changed from Accepted to In Progress

#7 - 29 Aug 2018 10:17 - Kurt Gerber

- Status changed from In Progress to Closed
http://redmine.cde.unibe.ch/issues/1796
http://redmine.cde.unibe.ch/issues/1789
http://redmine.cde.unibe.ch/issues/1781

Done

25 Mar 2025 22


http://www.tcpdf.org

